import { getChannelList, setChannelList, addChannelList } from '../../api/channel';

const channel = {
  state: {
    channeList: {}
  },
  mutations: {
    GET_CHANNEL_LIST: (state, data) => {
      state.channeList = data
    }
  },
  actions: {
    getChannelList({dispatch, commit }, data) {
      return new Promise((resolve, reject) => {
        getChannelList(data).then(res => {
          if(res.code == 200) {
            resolve(res.data);
            commit('GET_CHANNEL_LIST', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    setChannelList({dispatch, commit }, from) {
      return new Promise((resolve, reject) => {
        setChannelList(from).then(res => {
          if(res.code == 200) {
            resolve(res.data);
            // commit('GET_CHANNEL_LIST', res.data)
            dispatch('getChannelList')
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    addChannelList({dispatch, commit }, from) {
      return new Promise((resolve, reject) => {
        addChannelList(from).then(res => {
          if(res.code == 200) {
            resolve(res.data);
            // commit('GET_CHANNEL_LIST', res.data)
            dispatch('getChannelList')
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
  }
}

export default channel
